//#####################################################################
// Copyright 2023, Craig Schroeder.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYREGHT.txt.
//#####################################################################
#include <Core/Symbolics/REG.h>
#include <iostream>
namespace PhysBAM{

std::ostream& operator<<(std::ostream& o,const REG& r)
{
    auto [t,v]=r.Parts();
    return o<<"rcioLS"[t]<<v;
}

std::ostream& operator<<(std::ostream& o,const REG_AUG& r)
{
    if(r.neg) o<<"-";
    if(r.inv) o<<"1/";
    return o<<r.reg;
}
}
